P: Edit In External Editor does not work/function

218 Votes
LEGEND ,
Mar 07, 2012 Mar 07, 2012

Copy link to clipboard

Copied

I can not send images from LR4 to any external editor via Photo>Edit In. My system is Mac OS 10.7.3. Using the Edit In command fails to open the external editor and no error message results. This occurs whether the images have the 2012 Process Version applied or not. My external editors are primarily PSE10 and Nik Silver Efex Pro 2.0. This is an important part of my workflow.

I have reinstalled PSE10 and updated to the newest version of Silver Efex Pro.

Bug Fixed
TOPICS
macOS

Views

484

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct answers

Adobe Employee , Mar 30, 2012 Mar 30, 2012
Note: If you're setting Photoshop Elements up as an External Editor, make sure you choose the "Photoshop Elements Editor" not the alias for Photoshop Elements (which launches the welcome screen):

Votes

Translate

Translate
Adobe Employee , Mar 29, 2012 Mar 29, 2012
Lightroom 4.1 is now available on Adobe Labs: http://labs.adobe.com/technologies/li... Includes a fix for this issue, plus several other top issues and includes 5D Mk III support: http://labs.adobe.com/technologies/li...

Votes

Translate

Translate
replies 432 Replies 432
432 Comments
LEGEND ,
Mar 07, 2012 Mar 07, 2012

Copy link to clipboard

Copied

I thought I would mention that this issue (or at least very closely related) is being reported by many users in the Adobe Forum, here:

http://forums.adobe.com/thread/971432...

I failed to mention earlier is that this issue did not exist with the LR4 Beta - I was able to send to a variety of external editors from there. I also trashed the LR preferences and tried running on a clean user account, both to no avail.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 07, 2012 Mar 07, 2012

Copy link to clipboard

Copied

Well, I may be talking to myself here but here is another (probably more related) thread at the Adobe forum where users are talking about this issue:

http://forums.adobe.com/message/42516...

Votes

Translate

Translate

Report

Report
Community Beginner ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

NIK plugins are not working anymore. LR4 with MAC 10.7.3 and complete collection of NIK.

It was still OK in the BETA version but the final release does not work. The plugin's still show up in " edit photo in xxxx" but nothing happens.

I tried to re-install the plugin but during installation it only sees the LR3 program but not LR4.

Only the export to HDR plugin works

I use the complete collection of the NIK plugin. Bought 3 months ago.
I use MAC 10.7.3

hope this can be fixed soon

Votes

Translate

Translate

Report

Report
New Here ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

Edit in PSCS5 causes this error message:

Unexpected error performing command: bad argument #1 to 'lower' (string expected, got nil)

And searching through various threads and forums the best I can find is this thread (which is closed for comment) http://forums.adobe.com/message/42492... but reinstalling PS doesn't seem like a reasonable solution for a bug in LR4.
Any fixes coming?

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

Lightroom 4 does not support the latest NIK plugins that worked on the LR4 beta. When Can I expect a fix for this ridiculous problem? I have cancelled my order for LR4 since it is UNUSABLE in its current state.

Votes

Translate

Translate

Report

Report
Community Beginner ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

What I do not understand is that it works in the Beta version. When i re-install the beta version all works fine.

Something went wrong on the way when preparing the final LR4 version I guess.

For sure the NIK plugins are supported in LR4. This is because NIK almost instantly updated their pug ins.

You can see this when installing an older version of a NIK plugin. in that case it will only see the LR3 version in the install window. After installing the latest plugin of NIK it sees LR3 + LR4 in the install window.

I also ordered the LR4 software. And indeed if they do not fix it then it is useless and I will return the box and ask for refund.

For sure it will not get that far. (I hope)

I'm running LR4 on a MAC pro with Lion 10.7.3

regards
andre

Votes

Translate

Translate

Report

Report
Adobe Employee ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

Hi guys,

The team is investigating this issue to provide some guidance soon. Thanks for your patience and reporting this issue.

Senior Product Manager - Customer Advocacy - Digital Imaging

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

Thanks. It is reassuring to know that this was the appropriate avenue to report the problem and that the team is working on it. Much appreciated.

Votes

Translate

Translate

Report

Report
Explorer ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

A variant to this problem for me is that I can "edit in" PSCS5 as before but the file opens without any LR corrections applied. IOW just as it was imported.

My workaround is to export the files I wish to edit and then re-import them into LR.

Mac 10.6.8

Votes

Translate

Translate

Report

Report
Community Beginner ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

For me too. Nothing working in Edit in (PS CS5, Nik, etc.). Version in Portuguese (editar em)

Votes

Translate

Translate

Report

Report
New Here ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

I have this problem myself. Am anxiously awaiting the fix. How long will it take?

Mac 10.7.3

Votes

Translate

Translate

Report

Report
New Here ,
Mar 08, 2012 Mar 08, 2012

Copy link to clipboard

Copied

I cannot use any external editor in lightroom 4, I receive an error dialog with the following message:

Unexpected error performing command:
bad argument #1to 'lower' (string expected, got nil)

This worked fine in LR 3, since the upgrade to 4 I have started receiving this error message

Votes

Translate

Translate

Report

Report
Community Beginner ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

Waiting for the fix, no response from adobe??
cheers
my Observations I have made are these ...

There seems to be a missing component or even probably a 32bit compiled version for the 64 bit editions or some error in that component in the external plugin area of final LR4;
which can be healed with installing CS5 or PSE

/K

Votes

Translate

Translate

Report

Report
New Here ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

I'd be happy if the bug fix was to give all LR users a free copy of CS5 😄

Votes

Translate

Translate

Report

Report
Community Beginner ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

Would be great! best Idea and probalby would heal all the pain we all have due to inoperable LR;
/
Karl

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

I have a slight variation to this problem as well. My challenge is no Nik Plug-ins are available from Edit-in within LR4.

Running MAC OSX 10.7.3 and 64-bit kernel. Installed LR4. Have downloaded recent versions of Nik Plug-in's that support LR4. Some (not all), like Color Efex Pro see PS5 and LR4 during install, but the LR4 Edit-in menu never shows the plug-in. When I go to uninstall the Nik plug-ins, again, all appear available to PS5, and only some of the uninstallers see LR4 as if they are installed. LR4 is unusable with all plug-ins for me.

Votes

Translate

Translate

Report

Report
New Here ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

I have the OnOne plugins installed, previous to the LR4 upgrade, and they are still working for me as expected. But, these are accessible from the 'Plugin Extras' menu rather than the 'Edit in', so I presume that is still working...

Votes

Translate

Translate

Report

Report
Participant ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

I'm having the same issue. I'm using the newest NIK Silver Effects plugin but get the following error message when I try to "Edit in": "Unexpected error performing command: bad argument #1 to 'lower' (string expected, got nil)." This is a clean installation for me on a new hard drive and I haven't installed PS yet.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

I am also having this problem of an unavailable "edit-in" in LR4. None of my Nik plug-ins are available - nothing happens when I select this menu option. Mac 10.7.3 and SEFX 2.004, all the other plug-ins for my Nik suite are greyed out.

oh and the PSE10 work around doesn't work either.

I am annoyed with Adobe as I have been a LR user since the first Beta and this is the first glitch experienced - I feel cheated having paid for what I thought would be a brilliant improvement e.g. 2 -> 3. Grrr!

Votes

Translate

Translate

Report

Report
New Here ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

If Adobe is aware of thousands of users with problems with Lightroom 4, why don't they just pull it from the download site so that others don't get frustrated with the buggy program? Adobe, be honest and admit there is a major issue with the final release of LR 4 and hold off any more downloads and purchases. By not admitting the problem and allowing buyers to purchase a defective product is not an honest thing to do.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

Same problem here. Windows 7 64-bit SP1, I have all Nik plugins but none is working, I get the same message "unexpected error performing command: bad argument #1 to 'lower' (string expected got nil)". It is not a Nik problem though, as any other external editor I had configured (Capture NX2 2.3.1 and FastStone MaxView 2.5) gives me the same error. Installing an evaluation version of PSE 10 solves the problem, all plug-ins can again be accessed through "Edit with" command, but if I uninstall PSE 10 the problem is back. Since I am told that LR 4 beta did not suffer from this problem, Adobe engineers may want to check differences between the installation procedures of LR 4 beta, LR 4 and PSE 10. Although bugs exist in any piece of software, I find shameful that such an evident bug was not found by Adobe before releasing its new major version of LR.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

Same problem. Edit in external editor does not work.

Error message: Unexpected error performing command: bad argument #1 to 'lower' (string exptecte, got nil)

Votes

Translate

Translate

Report

Report
New Here ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

After upgrade from Lightroom 3 to Lightroom 4, all of my Nik filters from the Nik Complete Edition are not working anymore. They are all still available in the menu, but when I select one of them, just nothing happens.

Btw. I'm running LR4 on MacOS Lion including latest updates and also the Nik filters are all latest patch level. According to Nik, they are compatible with LR4.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

LR4 release version does not start NIK- and Photoshop Elements Plugin for external edit.

I've upgraded with NIK to the latest versions.

Seems to be bug in LR4RC because the beta worked...

Edit: I just want to mention: I'm on a Mac w/Lion and the "edit in.." command is just doing nothing.

Votes

Translate

Translate

Report

Report
LEGEND ,
Mar 09, 2012 Mar 09, 2012

Copy link to clipboard

Copied

Add me to the growing list. Same problem.

"Unexpected error performing command:
bad argument #1to 'lower' (string expected, got nil) "

PC, Windows 7

Neither Nik or Topaz plug-ins will work. Come on Adobe. How long does it take?

Votes

Translate

Translate

Report

Report